package types

// This is what should be submitted to the server, the username will be derived from the JWT token
type NewWeeklyReport struct {
	// The name of the project, as it appears in the database
	ProjectName string `json:"projectName"`
	// The week number
	Week int `json:"week"`
	// Total time spent on development
	DevelopmentTime int `json:"developmentTime"`
	// Total time spent in meetings
	MeetingTime int `json:"meetingTime"`
	// Total time spent on administrative tasks
	AdminTime int `json:"adminTime"`
	// Total time spent on personal projects
	OwnWorkTime int `json:"ownWorkTime"`
	// Total time spent on studying
	StudyTime int `json:"studyTime"`
	// Total time spent on testing
	TestingTime int `json:"testingTime"`
}
